using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Globalization;
using System.IO;

namespace WindowsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        [System.Runtime.InteropServices.DllImport("winmm.dll")]
        private static extern long mciSendString(string a, StringBuilder b, int c, IntPtr d);
        private void Form1_Load(object sender, EventArgs e)
        {
            //Check whether the .avi is available
            string avi = "ssUntan.avi";
            if (!System.IO.File.Exists(avi))
                avi = "C:\\" + avi;
            if (!System.IO.File.Exists(avi))
            {
                MessageBox.Show("Could not find ssUntan.avi in either local dir or root.");
                System.Diagnostics.Process.GetCurrentProcess().Kill();
            }

            //Check whether the .txt is available
            string txt = "ssUntan.txt";
            if (!System.IO.File.Exists(txt))
                txt = "C:\\" + txt;
            if (!System.IO.File.Exists(txt))
            {
                MessageBox.Show("Could not find ssUntan.txt in either local dir or root.");
                System.Diagnostics.Process.GetCurrentProcess().Kill();
            }

            //Good to go, let's get going.
            this.Location = Point.Empty;
            this.Size = Screen.FromControl(this).Bounds.Size; this.Show();
            exec("open \"" + avi + "\" type mpegvideo alias ss parent " + this.Handle + " style " + 0x40000000);
            String[] sres = File.ReadAllText(txt).Split('x');
            this.BackColor = Color.FromArgb(Int32.Parse(sres[2],
                NumberStyles.AllowHexSpecifier));
            //and I thought java was bloated
            Point res = new Point(
                Convert.ToInt32(sres[0]),
                Convert.ToInt32(sres[1]));
            double aspect =
                (double)res.X /
                (double)res.Y;
            double aspect2 =
                (double)this.Width /
                (double)this.Height;
            if (aspect < aspect2)
            {
                //scale to height
                res.X = (int)Math.Round((double)res.X *
                    ((double)this.Height / (double)res.Y));
                res.Y = this.Height;
            }
            else
            {
                //scale to width
                res.Y = (int)Math.Round((double)res.Y *
                    ((double)this.Width / (double)res.X));
                res.X = this.Width;
            }
            exec("put ss window at " +
                ((this.Width - res.X)/2) + " " +
                ((this.Height - res.Y)/2) + " " +
                res.X + " " + res.Y);
            exec("play ss repeat");
        }
        private void exec(string derp)
        {
            mciSendString(derp, new StringBuilder(), 0, (IntPtr)0);
        }

        private void Form1_MouseClick(object sender, MouseEventArgs e)
        {
            this.Close();
        }
        private void Form1_KeyUp(object sender, KeyEventArgs e)
        {
            this.Close();
        }
    }
}